Bug 185845 - Review Request: rpld - RPL/RIPL remote boot daemon
Summary: Review Request: rpld - RPL/RIPL remote boot daemon
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-03-19 17:34 UTC by Paul P Komkoff Jr
Modified: 2011-11-28 13:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-24 18:09:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora-cvs+


Attachments (Terms of Use)
Replacement patch which doesn't override OPT. (854 bytes, patch)
2006-09-16 15:57 UTC, Jason Tibbitts
no flags Details | Diff

Description Paul P Komkoff Jr 2006-03-19 17:34:33 UTC
Spec Name or Url: http://stingr.net/l/fe/rpld.spec
SRPM Name or Url: http://stingr.net/l/fe/rpld-1.8-1.src.rpm
Description:
Daemon to net-boot IBM style RPL boot ROMs (this is not the
same as the Novell IPX-style RPL protocol, despite the
name).

Comment 1 Jason Tibbitts 2006-06-27 01:39:26 UTC
I saw that this had been sitting for a bit and thought I'd take a look, but
there are major problems getting this build.

First off, you need BuildRequires: byacc, flex

That gets things to build to the point where it tries to install rpld as a
different user:

install -c -o root -g kmem -m 555 rpld /var/tmp/rpld-1.8-1-root-mockbuild/usr/sbin

That is never allowable; it should put the file into place and rely on the
%files section to set the ownership.  This should be pretty easy to patch out of
the Makefile.

Finally, the compiler isn't called with the proper flags; you need to pass in
$RPM_OPT_FLAGS somehow.

Comment 2 Paul P Komkoff Jr 2006-08-08 16:52:02 UTC
Sorry for delay, work :(

http://stingr.net/l/fe/rpld-1.8-2.src.rpm
and http://stingr.net/l/fe/rpld.spec
have been updated accorting to your corrections. Please take a look.

Comment 3 Jason Tibbitts 2006-09-16 15:57:04 UTC
Sorry for taking so long to get back to this.

The compiler is still not being called properly; I'm just seeing:

gcc -O     -c -o protocol.o protocol.c

I was able to get this to work by changing the makefile patch to the one I'll
attach, and duplicating the call to make in %build.  For some reason the package
wants make to be called twice; the second invocation actually builds the
software.  Before, everything was being built in %install.

Comment 4 Jason Tibbitts 2006-09-16 15:57:57 UTC
Created attachment 136435 [details]
Replacement patch which doesn't override OPT.

Comment 5 Till Maas 2006-09-16 16:57:56 UTC
You should use macros here (%{_sbindir} and %{_mandir}):
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man{8,5}}


Comment 6 Jason Tibbitts 2006-10-06 01:09:26 UTC
Ping?

Comment 7 Paul P Komkoff Jr 2006-10-06 19:15:36 UTC
Sorry for the delays.

http://stingr.net/l/fe/rpld-1.8-3.src.rpm
and http://stingr.net/l/fe/rpld.spec

Comment 8 Jason Tibbitts 2006-10-06 21:48:40 UTC
Thanks.  Builds in mock; rpmlint has this to say:
   W: rpld mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
Fix if you like.

  W: rpld incoherent-version-in-changelog 1.8-1 1.8-3.fc6
You should make a changelog entry at minimum for each release.  The current
release is 1.8-3 but the last changelog entry is from 1.8-1.

Hmm, not that I look at things, this is a beta release, isn't it?  In that case
you should follow the naming guidelines for prereleases:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines

So this should be named something like rpmd-1.8-0.1.beta1.  If you revise it, go
to 1.8-0.2.beta1.  When beta2 comes out, then go to 1.8-0.3.beta2.  And when
it's finally released (if it ever is), you can go to 1.8-1.  Basically you can
put anything you want after the second number in the release, even if things
don't sort alphabetically, as long as you keep incrementing the second number.

I'm still not seeing the proper flags being passed to the compiler:
   gcc      -c -o protocol.o protocol.c
   gcc      -c -o rpld.o rpld.c
You're using the patch, but for some reason you need a second make call in the
%build section as the first one doesn't actually build the software.  I just
duplicated the "make" line verbatim.

* source files match upstream:
   08a020c08a466378a99edb88ea98ba35  rpld-1.8-beta-1.tar.gz
X package meets naming guidelines (needs to use prerelease naming conventions).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X debuginfo package is busted.
X rpmlint has valid complaints.
* final provides and requires are sane (no non-glibc requirements).
* %check is not present; no test suite upstream.  It is not possible for me to
test this package.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

Comment 10 Jason Tibbitts 2006-10-15 04:21:25 UTC
OK:

The package naming looks good.
The compilation flags are proper.
The debuginfo package looks fine.
rpmlint is quiet.

APPROVED

Comment 11 Paul P Komkoff Jr 2011-11-28 11:28:42 UTC
Package Change Request
======================
Package Name: rpld
New Branches: el4 el5 el6
Owners: stingray

Comment 12 Gwyn Ciesla 2011-11-28 13:06:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.